/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "datos_cosultores_completos")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "DatosCosultoresCompletos.findAll", query = "SELECT d FROM DatosCosultoresCompletos d")
        , @NamedQuery(name = "DatosCosultoresCompletos.findByConsultorCodigo", query = "SELECT d FROM DatosCosultoresCompletos d WHERE d.consultorCodigo = :consultorCodigo")
        , @NamedQuery(name = "DatosCosultoresCompletos.findByNombreConsultor", query = "SELECT d FROM DatosCosultoresCompletos d WHERE d.nombreConsultor = :nombreConsultor")
        , @NamedQuery(name = "DatosCosultoresCompletos.findByTerritorioCodigo", query = "SELECT d FROM DatosCosultoresCompletos d WHERE d.territorioCodigo = :territorioCodigo")
        , @NamedQuery(name = "DatosCosultoresCompletos.findByConsultorTelefonoResidencia", query = "SELECT d FROM DatosCosultoresCompletos d WHERE d.consultorTelefonoResidencia = :consultorTelefonoResidencia")
        , @NamedQuery(name = "DatosCosultoresCompletos.findByConsultorCelular", query = "SELECT d FROM DatosCosultoresCompletos d WHERE d.consultorCelular = :consultorCelular")
        , @NamedQuery(name = "DatosCosultoresCompletos.findByDireccionCompleta", query = "SELECT d FROM DatosCosultoresCompletos d WHERE d.direccionCompleta = :direccionCompleta")
        , @NamedQuery(name = "DatosCosultoresCompletos.findByCargoPendiente", query = "SELECT d FROM DatosCosultoresCompletos d WHERE d.cargoPendiente = :cargoPendiente")
        , @NamedQuery(name = "DatosCosultoresCompletos.findByConsultorEstado", query = "SELECT d FROM DatosCosultoresCompletos d WHERE d.consultorEstado = :consultorEstado")
        , @NamedQuery(name = "DatosCosultoresCompletos.findByConsultorTipoPago", query = "SELECT d FROM DatosCosultoresCompletos d WHERE d.consultorTipoPago = :consultorTipoPago")})
public class DatosCosultoresCompletos implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "consultor_codigo")
    @Id
    private String consultorCodigo;
    @Size(max = 100)
    @Column(name = "nombre_consultor")
    private String nombreConsultor;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "territorio_codigo")
    private String territorioCodigo;
    @Size(max = 9)
    @Column(name = "consultor_telefono_residencia")
    private String consultorTelefonoResidencia;
    @Size(max = 9)
    @Column(name = "consultor_celular")
    private String consultorCelular;
    @Size(max = 183)
    @Column(name = "direccion_completa")
    private String direccionCompleta;
    @Size(max = 5)
    @Column(name = "correlativo_reparto")
    private String correlativoReparto;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "cargo_pendiente")
    private Double cargoPendiente;
    @Basic(optional = false)
    @NotNull
    @Column(name = "consultor_estado")
    private boolean consultorEstado;
    @Basic(optional = false)
    @NotNull
    @Column(name = "consultor_tipo_pago")
    private boolean consultorTipoPago;

    public DatosCosultoresCompletos() {
    }

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getNombreConsultor() {
        return nombreConsultor;
    }

    public void setNombreConsultor(String nombreConsultor) {
        this.nombreConsultor = nombreConsultor;
    }

    public String getTerritorioCodigo() {
        return territorioCodigo;
    }

    public void setTerritorioCodigo(String territorioCodigo) {
        this.territorioCodigo = territorioCodigo;
    }

    public String getConsultorTelefonoResidencia() {
        return consultorTelefonoResidencia;
    }

    public void setConsultorTelefonoResidencia(String consultorTelefonoResidencia) {
        this.consultorTelefonoResidencia = consultorTelefonoResidencia;
    }

    public String getConsultorCelular() {
        return consultorCelular;
    }

    public void setConsultorCelular(String consultorCelular) {
        this.consultorCelular = consultorCelular;
    }

    public String getDireccionCompleta() {
        return direccionCompleta;
    }

    public void setDireccionCompleta(String direccionCompleta) {
        this.direccionCompleta = direccionCompleta;
    }

    public Double getCargoPendiente() {
        return cargoPendiente;
    }

    public void setCargoPendiente(Double cargoPendiente) {
        this.cargoPendiente = cargoPendiente;
    }

    public boolean getConsultorEstado() {
        return consultorEstado;
    }

    public void setConsultorEstado(boolean consultorEstado) {
        this.consultorEstado = consultorEstado;
    }

    public boolean getConsultorTipoPago() {
        return consultorTipoPago;
    }

    public void setConsultorTipoPago(boolean consultorTipoPago) {
        this.consultorTipoPago = consultorTipoPago;
    }

    public String getCorrelativoReparto() {
        return correlativoReparto;
    }

    public void setCorrelativoReparto(String correlativoReparto) {
        this.correlativoReparto = correlativoReparto;
    }


}
